%define name	xiphos
%define version 3.2.2
%define release %mkrel 1
%define _disable_ld_no_undefined 1

Summary:	Bible Study Software for Linux and the Gnome Desktop
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		http://dfn.dl.sourceforge.net/sourceforge/gnomesword/%{name}-%{version}.tar.xz
URL:		http://xiphos.org/
License:	GPLv2+
Group:		Education
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#----------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gsf-1_114-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gtkhtml4.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}soup-devel
BuildRequires: %{_lib}sword-devel >= 1.7.3
BuildRequires: %{_lib}xml2-devel
BuildRequires: webkitgtk3-devel
BuildRequires: gnome-doc-utils
BuildRequires: perl-XML-Parser
BuildRequires: rarian
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: waf
#----------------------------------------
Requires: 	sword >= 1.7.0
Requires:	%{_lib}webkitgtk1.0_0
Obsoletes:	gnomesword < 2.4.1-2
Provides:	gnomesword

%description
Xiphos (formerly known as GnomeSword) is a Bible study tool written for Linux,
UNIX, and Windows under the GNOME toolkit, offering a rich and featureful
environment for reading, study, and research using modules from The SWORD
Project and elsewhere.
The SWORD Bible Framework allows easy manipulation of Bible texts, 
commentaries, lexicons, dictionaries, etc.

%prep
%setup -q

%setup_compile_flags \
LINKFLAGS="%{?ldflags}" ; export LINKFLAGS ; \
  ./waf configure \
	--prefix=%{_prefix} \
	--blddir=%{buildroot} \
	--gtk=auto \
	--debug-level=optimized

%build
./waf

%install
./waf install --destdir=%{buildroot}


desktop-file-install --vendor="" \
	--dir %{buildroot}%{_datadir}/applications/ \
	--remove-key='Encoding' \
	--remove-key='MultipleArgs' \
	--remove-category='Application' \
	--remove-category='Utility' \
	--remove-category='X-Red-Hat-Extra' \
	--add-category='X-MandrivaLinux-MoreApplications-Education-Literature' \
	%{buildroot}%{_datadir}/applications/*.desktop

mkdir -p $RPM_BUILD_ROOT/{%{_liconsdir},%{_miconsdir}}
install pixmaps/gs2-48x48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -size 16x16 -resize 16x16 pixmaps/gs2-48x48.png %{buildroot}/%{_miconsdir}/%{name}.png
convert -size 32x32 -resize 32x32 pixmaps/gs2-48x48.png %{buildroot}/%{_iconsdir}/%{name}.png

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/xiphos.svg
%{_datadir}/omf/xiphos/xiphos-C.omf
%{_datadir}/omf/xiphos/xiphos-fa.omf
%{_datadir}/omf/xiphos/xiphos-fr.omf
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%exclude %{_defaultdocdir}/%{name}
%exclude /config.log
%exclude /c4che
%exclude /.conf_check_0
%exclude /default
%exclude /.wafpickle-7


%changelog
* Thu Dec 18 2014 pinoc <vogtpet at gmail.com> 3.2.2-1pclos2014
- 3.2.2

* Wed Feb 12 2014 bb <bb> 3.1.6-2pclos2014
- adjust BR

* Wed Feb 12 2014 Ken <lxgator at gmail.com> 3.1.6-1pclos2014
- 3.1.6

* Fri Sep 06 2013 billybot <billybot> 3.1.5-3pclos2013
- switch backend to webkit

* Fri Sep 06 2013 billybot <billybot> 3.1.5-2pclos2013
- rebuild against updated webkitgtk

* Mon Jul 02 2012 Neal <nealbrks0 at gmail dot com> 3.1.5-1pclos2012
- process

* Sat Jun 23 2012 Galen Seaman <galen.seaman@comcast.net> 3.1.5-1pclos2012
- update 3.1.5

* Sun Oct 10 2010 Texstar <texstar at gmail.com> 3.1.3-2pclos2010
- rebuild

* Thu Sep 09 2010 Texstar <texstar at gmail.com> 3.1.3-1pclos2010
- 3.1.3
